using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Core.Factory;

public class TransformFactory
{
    public static ITransform2D Instantiate() => TypeFactory.Get<Transform2D>();
    public static T Instantiate<T>(params object?[]? args) where T : class, ITransform2D
        => TypeFactory.Get<T>(args);
}
